//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System.Web.UI;
using System.Web.UI.WebControls;

namespace CommunityServer.Controls
{
    public class ListItemLiteral : Literal, IText
    {
        protected override void Render(System.Web.UI.HtmlTextWriter writer)
        {
            if(IsListItem)
                writer.Write("<li>");

            base.Render (writer);

            if(IsListItem)
                writer.Write("</li>");
        }

        public Control Control
        {
            get{ return this;}
        }

        private bool _isListItem = true;
        public bool IsListItem
        {
            get{return _isListItem;}
            set{_isListItem = value;}
        }

    }
}